Bug 172664 - Updated header file with modified author permissions
Updated header file with modified author permissions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-11-07 19:50 EST by Jay Turner
Modified: 2015-01-07 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:50:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-i82593-gpl.patch (658 bytes, patch)
2005-11-16 15:57 EST, John W. Linville
no flags Details | Diff
jwltest-i82593-gpl.patch (831 bytes, patch)
2005-11-16 16:01 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Jay Turner 2005-11-07 19:50:34 EST
+++ This bug was initially created as a clone of Bug #172661 +++

+++ This bug was initially created as a clone of Bug #172659 +++

Description of problem:
Legal has worked with the author of the i82593.h file to modify the copyright
statement allowing the file to be GPL'd.

Header should now include the following:

 * HISTORY
 * i82593.h,v
 * Revision 1.1  1996/07/17 15:23:12  root
 * Initial revision
 *
 * Revision 1.4  2005/11/4  09:15:00  baroniunas
 * Modified copyright with permission of author as follows:
 *
 *   “If I82539.H is the only file with my copyright statement
 *    that is included in the Source Forge project, then you have
 *    my approval to change the copyright statement to be a GPL
 *    license, in the way you proposed on October 10.  Please also
 *    change my e-mail address from klemets@it.kth.se to
 *    aklemets@hotmail.com.”
 *
 * Revision 1.3  1995/04/05  15:13:58  adj
 * Initial alpha release
 *
 * Revision 1.2  1994/06/16  23:57:31  klemets
 * Mirrored all the fields in the configuration block.
 *
 * Revision 1.1  1994/06/02  20:25:34  klemets
 * Initial revision
 */


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Turner 2005-11-10 13:37:22 EST
Also might make sense to drop the "Please also change my e-mail address from
klemets@it.kth.se to aklemets@hotmail.com." part of the message above while
making the associated change.
Comment 3 John W. Linville 2005-11-16 15:57:59 EST
Created attachment 121148 [details]
jwltest-i82593-gpl.patch
Comment 4 John W. Linville 2005-11-16 16:01:35 EST
Created attachment 121149 [details]
jwltest-i82593-gpl.patch

It probably helps to actually remove the offensive part of the patch... :-)
Comment 5 John W. Linville 2005-11-16 16:02:23 EST
The same file exists in RHEL4 and upstream, FWIW... 
Comment 7 Ernie Petrides 2005-11-17 18:21:12 EST
Removing dependency on bug 172661 (against kernel-pcmcia-cs component).
Comment 8 Ernie Petrides 2005-11-22 19:25:19 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.10.EL).
Comment 11 Red Hat Bugzilla 2006-03-15 11:50:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.